# frozen_string_literal: true
module Hyrax
  module TombstoneBehavior
    def intialize_tombstone!
      self.is_tombstoned = true 
      self.tombstone_status = "initiated"
      self.tombstone_date = DateTime.now
  
      self.save
    end
  
    def confirm_tombstone!
      return false unless self.is_tombstoned || self.tombstone_status == "initiated"
  
      self.tombstone_status = "deleted"
      self.save
  
      Hyrax::RemoveAssociatedObjectsJob.perform_later(self.id, self.class.to_s)

      Hyrax::ClearS3BucketJob.perform_later(self.id)
    end
  
    def restore_tombstone!
      return false if self.tombstone_status == "deleted"
  
      self.is_tombstoned = false
      self.tombstone_status = "restored"
  
      self.save
    end
  end
end