# frozen_string_literal: true
namespace :rdms do
  desc "Fix object key structure in S3. usage: rdms:remove_forward_slash_from_starting_of_s3_keys"
  task remove_forward_slash_from_starting_of_s3_keys: :environment do
    s3 = S3StorageService.new
    s3.init_client

    s3.list_buckets.each do |bucket|
      if bucket[:name].start_with?("#{ENV['S3_BUCKET_PREFIX']}-".downcase.gsub(/[^0-9a-z.-]/, ''))
        list_of_objects, total_size = s3.list_all_objects(bucket[:name])
        list_of_objects.each do |object|
          if object[:key].start_with?('/')
            s3.move_object(object[:key], bucket[:name], object[:key].gsub(/^\//, ''), {}, bucket[:name])
          end
        end
      end
    end
  end
end