# frozen_string_literal: true
namespace :rdms do
  desc "Set format and size to works. usage: rdms:set_format_and_size_to_works"
  task set_format_and_size_to_works: :environment do
    logger = Logger.new('set_format_and_size.log')
    # Here we are jus saving all dataset and crc_dataset
    # We have callback before save that will set format and size here: ExternalServices#set_format_and_size
    dataset_errors = {}
    dataset_count = 0
    Dataset.all.each do |dataset|
      begin
        dataset.save
        dataset_count += 1
      rescue => err
        dataset_errors[dataset.id] = err.message
        logger.error("Error saving #{dataset.id}: #{err.message}")
      end
    end
    logger.info("Number of datasets saved successfully: #{dataset_count}")
    logger.error("Number of datasets with error saving: #{dataset_errors.size}")
    crc_dataset_errors = {}
    crc_dataset_count = 0
    CrcDataset.all.each do |crc_dataset|
      begin
        crc_dataset.save
        crc_dataset_count += 1
      rescue => err
        crc_dataset_errors[crc_dataset.id] = err.message
        logger.error("Error saving #{crc_dataset.id}: #{err.message}")
      end
    end
    logger.info("Number of CRC datasets saved successfully: #{crc_dataset_count}")
    logger.error("Number of CRC datasets with error saving: #{crc_dataset_errors.size}")
  end
end